/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workgoout.dao;

import com.jeeplus.common.persistence.CrudDao;
import com.jeeplus.common.persistence.annotation.MyBatisDao;
import com.jeeplus.modules.oa.entity.Leave;
import com.jeeplus.modules.workgoout.entity.GoOut;

import java.util.List;
import java.util.Map;

/**
 * 外出流程DAO接口
 * @author LXH
 * @version 2017-07-05
 */
@MyBatisDao
public interface GoOutDao extends CrudDao<GoOut> {

    /**
     * 更新流程实例ID
     * @param goOut
     * @return
     */
    public int updateProcessInstanceId(GoOut goOut);

    /**
     * 更新实际开始结束时间
     * @param goOut
     * @return
     */
    public int updateRealityTime(GoOut goOut);

    //public int update(Leave leave);
    /**
     * 获取当天出差list
     * @param goOut
     * @return
     */
    public List<GoOut> findByCompany(GoOut goOut);

    /**
     * 根据流程实例ID获取Leave
     * @param processInstanceId
     * @return
     */
    public GoOut getByProcessInstanceId(String processInstanceId);

    List getCreateDateList(Map<String, String> map);

    List<GoOut> findByCompany2(Map<String, Object> map);

    public List getCreateDateList1(Map<String,String> map);
    public List findByCompany1(Map<String,String> map);
    public List getCreateDateListAll(Map<String,String> map);
    public List findByCompanyAll(Map<String,String> map);
    public List<GoOut> findByManage(Map<String,Object> map);
    public List<GoOut> findByCompanySelf(Map<String,Object> map);
}